Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156568 - "Display Filter" dialog cannot receive input
Summary: "Display Filter" dialog cannot receive input
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-01 22:03 UTC by Robert Nichols
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.10.14-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-02 12:30:25 UTC


Attachments (Terms of Use)

Description Robert Nichols 2005-05-01 22:03:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Ethereal's "Open Capture File" dialog includes a button that opens the
"Display Filter" dialog, but when the Display Filter dialog opens, all
keyboard and mouse events still get passed to the Open Capture File dialog,
leaving no way to interact with the Display Filter dialog.

Version-Release number of selected component (if applicable):
ethereal-gnome-0.10.10-1.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Start Ethereal and click on the "Open a capture file..." icon.
2. In the capture file dialog box, click on the "Filter" button.
3. Try to do anything in the Display Filter dialog box that comes up.
  

Actual Results:  The Display Filter dialog is unresponsive to mouse clicks.  Even while the
mouse cursor is in the Display Filter dialog box and its frame is highlighted
indicating that it has the input focus, keyboard input can be seen to afffect
the parent Open Capture File dialog.

Expected Results:  The Display Filter dialog should receive keyboard and mouse events.

Additional info:

Using a Gnome desktop (gnome-session-2.8.0-4).

Comment 1 Radek Vokal 2005-05-16 12:16:56 UTC
Seems like a GTK+ problem, File chooser dialog grabs all inputs. 

Ethereal bugzilla http://bugs.ethereal.com/bugzilla/show_bug.cgi?id=152

Comment 3 Matthias Clasen 2005-10-22 14:38:26 UTC
If the file chooser dialog is modal, any child dialogs that are popped up from
it must be marked as transient for the parent and as modal as well, in order to
receive input.

Comment 4 Radek Vokal 2006-01-02 12:30:25 UTC
Fixed in ethereal-0.10.14-2. Matthias, thanks for hint.


Note You need to log in before you can comment on or make changes to this bug.